com.singularsys.jepexamples.diagnostics

## Class ThreadSafeSpeedTest

- java.lang.Object
- - com.singularsys.jepexamples.diagnostics.ThreadSpeedTest
  - - com.singularsys.jepexamples.diagnostics.ThreadSafeSpeedTest

-     public class ThreadSafeSpeedTest
      extends ThreadSpeedTest

  A diagnostic application using the `ThreadSafeEvaluator` and a variable number of threads.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ThreadSafeSpeedTest.EvaluationThread` A thread which evaluates an expression multiple times.

  - ### Field Summary

    - ### Fields inherited from class com.singularsys.jepexamples.diagnostics.ThreadSpeedTest

      `base, baseJep, MAX_LOOPS, MAX_THREADS, N_TERMS, TOTAL_ITTS, varName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadSafeSpeedTest(java.lang.String expression, java.lang.String varName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `java.lang.Thread` | `makeThread(int index, double min, double max, int nItts)` Make a thread to evaluate an expression multiple times.

    - ### Methods inherited from class com.singularsys.jepexamples.diagnostics.ThreadSpeedTest

      `analyize, getExpression, go, loop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadSafeSpeedTest

          public ThreadSafeSpeedTest(java.lang.String expression,
                                     java.lang.String varName)
                              throws ParseException

      Throws:
        `ParseException`

  - ### Method Detail

    - #### makeThread

          public java.lang.Thread makeThread(int index,
                                             double min,
                                             double max,
                                             int nItts)
                                      throws JepException

      Description copied from class: `ThreadSpeedTest`
      Make a thread to evaluate an expression multiple times. Can be overridden to change how threads are created. This version uses `ThreadSpeedTest.EvaluationThread`
      Overrides:
        `makeThread` in class `ThreadSpeedTest`
      Parameters:
        `index` - the number of this thread
        `min` - minimum value for variable
        `max` - maximum value for variable
        `nItts` - number of iterations
      Returns:
        the thread
      Throws:
        `JepException`

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` -

Copyright © 2018 Singular Systems http://www.singularsys.com/jep